#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <stdbool.h>
#include "../lib/carg-parse/carg-parse.h"
#include "./cpu_const.h"
#include "./cpu.h"

int main(int argc, char **argv)
{
    printf("R16 " R16 "\n" R16_STANDARD "\n(c) " R16_AUTHOR "\n");

    carg_parse_data* args = carg_parse(argc, argv);

    carg_parse_free(args);

    return 0;
}

void ErrorHandle(int exitCode, char *exitMessage)
{
    fprintf(stderr, "%s", exitMessage);

    exit(exitCode);
}
