#ifndef EMU_CPU_STACK_H
#define EMU_CPU_STACK_H

#include "./ram.h"
#include "./register.h"

#define STACK_SIZE 256
#define STACK_LOCATION (UINT16_MAX - STACK_SIZE)

#define DO_STACK_CHECKS

r16_int StackPop();
void StackPush(r16_int value);

#endif